#-------------------------------------------------------------------
#-                       file.open {filename}                      -
#-------------------------------------------------------------------
proc file.open {filename} {
  global ${filename}fileID

  catch {open $filename "a"} ${filename}fileID
}

#-------------------------------------------------------------------
#-                      file.close {filename}                      -
#-------------------------------------------------------------------
proc file.close {filename} {
  global ${filename}fileID

  catch {close $fileID}
}

#-------------------------------------------------------------------
#-                    file.write {filename string}                 -
#-------------------------------------------------------------------
proc file.write {filename string} {
  global ${filename}fileID

  catch {puts -nonewline [set ${filename}fileID] $string} temp
  catch {flush [set ${filename}fileID]} temp
} 

#-------------------------------------------------------------------
#-                  file.writeln {filename string}                 -
#-------------------------------------------------------------------
proc file.writeln {filename string} {
  global ${filename}fileID

  catch {puts [set ${filename}fileID] $string} temp
  catch {flush [set ${filename}fileID]} temp
} 